lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "patrick o'leary" <pj...@pjaol.com>
Subject Non ASF compatible license when using lucene/solr with an IDE?
Date Sat, 09 Apr 2011 18:49:46 GMT
Setting up a head version of lucene / solr

The README.txt specifies

Apache Lucene/Solr
......

To setup your ide run 'ant idea' or 'ant eclipse'


I'm using eclipse, so I run 'ant eclipse' and find ...


   get-je-jar:

    [mkdir] Created dir:
/Users/pjaol/Documents/workspace/lucene_solr/lucene/contrib/db/bdb-je/lib

*      [get] Getting:
http://download.oracle.com/maven/com/sleepycat/je/3.3.93/je-3.3.93.jar*

      [get] To:
/Users/pjaol/Documents/workspace/lucene_solr/lucene/contrib/db/bdb-je/lib/je-3.3.93.jar

     [echo] Running Lucene contrib db/bdb task 'get-db-jar' ...

     [echo] Building bdb...



Why have I now just had to accept a non ASF compatible license to compile or
work with lucene or solr?

And why was this downloaded without consent from the end user of accepting
or being informed of a non ASF compatible license?



http://download.oracle.com/maven/com/sleepycat/je/license.txt

Mime
View raw message